# How to contribute #

Thank you for stopping by. Please read these few small guidelines before
creating an issue or a pull request.


## Reporting issues ##

Bugs, feature requests, and development-related questions should be directed to
our [GitHub issue tracker](https://github.com/airbusgeo/cogger/issues).  If
reporting a bug, please try and provide as much context as possible and a
reproducible test case (e.g. a failing geotiff)

## Submitting a patch ##

  1. Patches are to be submitted through pull-requests: https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request

  1. Make sure each group of changes be done in distinct branches in order to
     ensure that a pull request only includes code related to that bug or feature.

  1. Always run `go fmt` on your code before committing it.

  1. Do not squash / force-push your commits inside the pull request branch as
     these tend to mess up the review comments.
